### Constructor

# Gtk.PageSetup.new_from_key_file

#### Declaration [src]

    GtkPageSetup*
    gtk_page_setup_new_from_key_file (
      GKeyFile* key_file,
      const char* group_name,
      GError** error
    )

#### Description [src]

Reads the page setup from the group `group_name` in the key file `key_file`.

Returns a new `GtkPageSetup` object with the restored page setup, or `NULL` if an error occurred.

#### Parameters

`key_file` | `GKeyFile*`
| the `GKeyFile` to retrieve the page_setup from
| Ownership is not transferred to the callee
`group_name` | `const char*`
| the name of the group in the key_file to read, or `NULL` to use the default name “Page Setup”
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkPageSetup`
the restored `GtkPageSetup`
Ownership of the data is transferred to the caller